@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

.chat-toggler {
    position: fixed;
    bottom: 14px;
    right: 14px;
    border: 2px solid #038c1c;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border-radius: 20px;
    background-image: linear-gradient(to bottom, #ffffff, #04e910);
    box-shadow: 1px 1px 14px -1px rgba(0,0,0,0.35);
    -webkit-box-shadow: 1px 1px 14px -1px rgba(0,0,0,0.35);
    -moz-box-shadow: 1px 1px 14px -1px rgba(0,0,0,0.35);
    z-index: 99999999999999999999999999999;
}

.chat-toggler:hover {
    background-image: linear-gradient(to bottom, #04e910, #058f0c);
}

.chat-image {
    width: 30px;
}

.chat-box-show {
    display: flex;
}

.chat-box-hide {
    display: none;
}

.chat-box-container {
    position: fixed;
    bottom: 60px;
    right: 60px;
    height: calc(70vh - 74px);
    width: 90%;
    max-width: 350px;
    background-color: #e4e4e4;
    border: 1px solid #ababab;
    border-radius: 10px;
    box-shadow: 1px 1px 14px -1px rgba(0,0,0,0.35);
    -webkit-box-shadow: 1px 1px 14px -1px rgba(0,0,0,0.35);
    -moz-box-shadow: 1px 1px 14px -1px rgba(0,0,0,0.35);
    flex-direction: column;
    font-family: 'Poppins', serif;
    z-index: 99999999999999999999999999999;
}

.chat-box-header {
    height: 65px;
    width: 100%;
    background-color: #ffffff;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    border-bottom: 1px solid #ababab;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-inline: 10px;
}

.chat-box-header-close {
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.chat-box-body {
    height: 100%;
    width: 100%;
    box-shadow: 1px 8px 16px -10px rgba(0,0,0,0.61) inset;
    -webkit-box-shadow: 1px 8px 16px -10px rgba(0,0,0,0.61) inset;
    -moz-box-shadow: 1px 8px 16px -10px rgba(0,0,0,0.61) inset;
    overflow-x: hidden;
    /* overflow-y: auto; */
    overflow-y: scroll;
    overscroll-behavior-y: contain;
    scroll-snap-type: y proximity;
}

.chat-box-body-container {
    height: fit-content;
    width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    padding: 15px;
    gap: 20px;
}

.chat-box-body-bot {
    margin-right: auto;
    margin-left: unset;
    align-items: start;
    background-color: #ffffff;
}

.chat-box-body-user {
    margin-right: unset;
    margin-left: auto;
    align-items: start;
    background-color: #3475f6;
    color: #fff;
}

.chat-box-body-card {
    border: 1px solid #e4e4e4;
    width: fit-content;
    /* height: fit-content; */
    padding: 10px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    /* max-width: 80%; */
}

.chat-box-respond-card {
    border: 1px solid #BDBCBCFF;
    background-color: #BDBCBCFF;
    color: #4C4B4BFF;
    width: fit-content;
    padding: 5px 10px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    font-size: 10px;
    font-style: italic;
}

.chat-box-body-card:last-child {
    scroll-snap-align: end;
}

.chat-box-body-card-user {
    font-size: 8px;
    display: flex;
    align-items: center;
    gap: 7px
}

.chat-box-body-card-user-img {
    width: 15px;
    height: 15px;
    border-radius: 50%;
}

.chat-box-body-card-user-name {
    font-size: 12px;
}

.chat-box-body-card-msg {
    margin-top: 5px;
}

.chat-box-bot-msg {
    text-align: left;
}

.chat-box-user-msg {
    text-align: left;
}

.chat-box-form {
    height: 85px;
    width: 100%;
    background-color: #ffffff;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-top: 1px solid #ababab;
    padding: 5px;
    display: flex;
}

.chat-box-form-input {
    resize: none;
    width: 100%;
    height: 100%;
    padding: 5px;
    font-size: 12px;
    line-height: 14px;
    border: none;
}

.chat-box-form-input:focus {
    outline: none;
    border: none;
}

.chat-box-form-button {
    width: 40px;
    height: 100%;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-left: 1px solid #ababab;
    background-color: #ffffff;
}

.chat-box-form-send {
    width: 20px;
}